aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorCédric Bonhomme <kimble.mandel@gmail.com>2013-12-06 14:42:43 +0100
committerCédric Bonhomme <kimble.mandel@gmail.com>2013-12-06 14:42:43 +0100
commit8eb9e342f19bfbb7c3047811ee08471088039f89 (patch)
tree82b73f80a29ea76b1edfd60221d72c4868629d80 /install.sh
parentUpdated .gitignore. (diff)
downloadnewspipe-8eb9e342f19bfbb7c3047811ee08471088039f89.tar.gz
newspipe-8eb9e342f19bfbb7c3047811ee08471088039f89.tar.bz2
newspipe-8eb9e342f19bfbb7c3047811ee08471088039f89.zip
Added install.sh for installation with virtualenv.
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 00000000..77bdce40
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Installation of MongoDB
+if ! dpkg -s mongodb-server | grep -i 'status' | grep -i 'installed' > /dev/null ; then
+ sudo apt-get install -y mongodb-server
+ sudo service mongodb start
+fi
+
+sudo apt-get install -y python-pip
+pip install --user virtualenv
+virtualenv --no-site-packages ./env_pyAggr3g470r
+source ./env_pyAggr3g470r/bin/activate
+pip install --upgrade -r requirements.txt
+deactivate
+
+cp conf/conf.cfg-sample conf/conf.cfg
bgstack15